//---------------------------------------------------------------------------
#ifndef coscomdllH
#define coscomdllH
//---------------------------------------------------------------------------
//C++ Builder
//#include "vcl/dstring.h"

#define DefCoscomDLLName "coscomekg.dll"

    typedef int (WINAPI *TCOSCOMFUNC)(int);
    typedef int (WINAPI *TCOSCOMGETPCHARFUNC)(int,char *);
    typedef int (WINAPI *TCOSCOMGETDOUBLEFUNC)(int,double *);
    typedef int (WINAPI *TCOSCOMGETINTEGERFUNC)(int,int *);

    typedef int (WINAPI *TCOSCOMSETDOUBLEFUNC)(int,double);
    typedef int (WINAPI *TCOSCOMSETINTEGERFUNC)(int,int);
    typedef int (WINAPI *TCOSCOMSETSPEEDACCELFUNC)(int,double,int);

    typedef int (WINAPI *TCOSCOMBUTTONFUNC)(int,int);

    extern HINSTANCE  CoscomDLLHandle;
    //C++ Builder
    //extern AnsiString CoscomDLLName;
    extern char CoscomDLLName[260];
    extern TCOSCOMFUNC coscomopenPort;
    extern TCOSCOMFUNC coscomclosePort;
    extern TCOSCOMGETPCHARFUNC coscomgetVersion;
    extern TCOSCOMGETINTEGERFUNC coscomgetStatus;
    extern TCOSCOMGETINTEGERFUNC coscomgetDuration;
    extern TCOSCOMGETDOUBLEFUNC coscomgetSpeed;
    extern TCOSCOMGETINTEGERFUNC coscomgetAcceleration;
    extern TCOSCOMGETDOUBLEFUNC coscomgetElevation;
    extern TCOSCOMGETINTEGERFUNC coscomgetHeartrate;
    extern TCOSCOMGETINTEGERFUNC coscomgetDistance;
    extern TCOSCOMGETINTEGERFUNC coscomgetError;
    extern TCOSCOMSETDOUBLEFUNC coscomsetSpeed;
    extern TCOSCOMSETINTEGERFUNC coscomsetAcceleration;
    extern TCOSCOMSETDOUBLEFUNC coscomsetElevation;
    extern TCOSCOMSETSPEEDACCELFUNC coscomsetSpeedAccel;
    extern TCOSCOMBUTTONFUNC coscomKeyPressStart;
    extern TCOSCOMBUTTONFUNC coscomKeyPressStop;
    extern TCOSCOMBUTTONFUNC coscomKeyPressPlus;
    extern TCOSCOMBUTTONFUNC coscomKeyPressMinus;
    extern TCOSCOMBUTTONFUNC coscomKeyPressUp;
    extern TCOSCOMBUTTONFUNC coscomKeyPressDown;
    extern TCOSCOMSETINTEGERFUNC coscomsetFailSafe;
    extern TCOSCOMGETINTEGERFUNC coscomgetFailSafe;

void  resetCoscomPointer();
void getCoscomPointer();
bool areValidCoscomPointer();
void loadcoscomEKGDLL();
void unloadcoscomEKGDLL();

#endif
